Packages - Bug #2072

Housekeeping # 2071 (in progress): [STICKY][icu] and friends (armv7h)
[libre/iceweasel]: rebuild against new icu (armv7h)
2018-11-07 01:19 AM - freemor

Status: confirmed % Done: 100%
Priority: bug

Assignee:

Category:

Description

NOTE: remember to rebuild 'libre/iceweasel-110n" if the version has changed - that package is coupled to each specific version of
iceweasel, to avoid breakage

History

#1 - 2018-11-07 01:30 AM - freemor

Starting armv7h cross-compile

#2 - 2018-11-07 12:07 PM - freemor
- % Done changed from 0 to 30

- Status changed from open to in progress

#3 - 2018-11-08 12:30 PM - freemor
After making it what seems most of the way it errored out and aborted with:

| 1511:39.55 make[4]: *** [/build/iceweasel/src/mozilla-unified/config/rules.mk:1032: Unified_cpp_tools_profi
ler0.0] Error 1

| 1511:39.56 make[3]: *** [/build/iceweasel/src/mozilla-unified/config/recurse.mk:73: tools/profiler/target]
Error 2

| 1511:39.57 make[3]: *** Waiting for unfinished jobs....

| 1512:34.90 make[2]: *** [/build/iceweasel/src/mozilla-unified/config/recurse.mk:33: compile] Error 2

| 1512:34.92 make[1l]: *** [/build/iceweasel/src/mozilla-unified/config/rules.mk:418: default] Error 2

| 1512:34.95 make: *** [client.mk:172: build] Error 2

| 1512:35.13 353 compiler warnings present.

|  1513:06.69 Notification center failed: Install notify-send (usually part of the libnotify package) to get
a notification when the build finishes.

| ==> ERROR: A failure occurred in build().

| Aborting...
==> Copying log and package files out of the chroot...

Attaching full logs for completeness.
ooops it exceeds the 5MB limit.. ouch I'll hold it and post it on my server if requested.
#4 - 2018-11-09 01:36 AM - freemor

- % Done changed from 30 to 0

- Status changed from in progress to open

#5 - 2018-11-13 03:27 PM - freemor
- % Done changed from 0 to 10

- Status changed from open to in progress

iceweasel/armv7h icu63.1 cross-compile Try #2

#6 - 2018-11-15 01:03 AM - freemor

Second try, same error. And with it taking more then 24h of build time to reach the error I'm not sure this will get fixed quickly at least not on my

hardware.

#7 - 2018-11-15 01:24 AM - freemor
Including a larger chunk of the log output this time

1565:20.89 /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux-gnueabihf/dist/include/mozilla/dom/Bi
ndingUtils.h:921:24: note: parameter passing for argument of type ‘JS::MutableHandle<JS::Value>’ changed in GC
c 7.1

1565:20.91 return JS_WrapValue (cx, rval);

1565:20.91 0 @ ~~~~~~vsv~~~oo Deocmmmmems

1566:21.64 In file included from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux—-gnueabihf/tools
/profiler/Unified_cpp_tools_profiler0O.cpp:119:

1566:21.64 /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/nsProfiler.cpp: In member function ‘virtu
al nsresult nsProfiler::GetSharedLibraries (JSContext*, JS::MutableHandle<JS::Value>)':

1566:21.64 /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/nsProfiler.cpp:176:1: note: parameter pas
sing for argument of type ‘JS::MutableHandle<JS::Value>’ changed in GCC 7.1

1566:21.64 nsProfiler::GetSharedLibraries (JSContext* aCx,

1566:21.64 “~~~vs~msnn~

1566:21.66 In file included from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux-gnueabihf/dist/
include/nsDebug.h:14,

1566:21.67 from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux—-gnueabihf/dist/
include/nsISupportsUtils.h:13,

1566:21.67 from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux—-gnueabihf/dist/
include/nsISupports.h:77,

1566:21.67 from /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/ThreadResponsivenes
s.h:9,

1566:21.67 from /build/iceweasel/src/mozilla-unified/tools/profiler/core/platform.h:35,
1566:21.68 from /build/iceweasel/src/mozilla-unified/tools/profiler/core/ProfileBuffer.h:9,
1566:21.68 from /build/iceweasel/src/mozilla-unified/tools/profiler/core/ProfileBuffer.cpp:7,
1566:21.69 from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux-gnueabihf/tools

/profiler/Unified_cpp_tools_profiler0.cpp:2:

1566:21.69 /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/nsProfiler.cpp:186:33: note: parameter pa
ssing for argument of type ‘JS::MutableHandleValue’ {aka ‘JS::MutableHandle<JS::Value>'} changed in GCC 7.1
1566:21.69 MOZ_ALWAYS_TRUE (JS_ParseJSON (aCx, static_cast<const charlé_t*> (buffer.get()),

1566:21.70 /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux-gnueabihf/dist/include/mozilla/Assert
ions.h:632:13: note: in definition of macro ‘MOZ_ALWAYS_TRUE’

1566:21.70 if ((expr)) { \

1566:21.70 N

1566:27.99 In file included from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown—-linux—-gnueabihf/tools
/profiler/Unified_cpp_tools_profiler0.cpp:119:

1566:27.99 /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/nsProfiler.cpp: In member function ‘virtu
al nsresult nsProfiler::GetProfileData (double, JSContext*, JS::MutableHandle<JS::Value>)':

1566:27.99 /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/nsProfiler.cpp:205:1: note: parameter pas
sing for argument of type ‘JS::MutableHandle<JS::Value>’ changed in GCC 7.1

1566:27.99 nsProfiler::GetProfileData (double aSinceTime, JSContext* acCx,

1566:27.99 A~mm~nsmsns

1566:28.00 In file included from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux—-gnueabihf/dist/
include/nsDebug.h:14,

1566:28.01 from /build/iceweasel/src/mozilla-unified/obj-armv71l-unknown-linux—gnueabihf/dist/
include/nsISupportsUtils.h:13,

1566:28.01 from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux—-gnueabihf/dist/
include/nsISupports.h:77,

1566:28.01 from /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/ThreadResponsivenes
s.h:9,

1566:28.01 from /build/iceweasel/src/mozilla-unified/tools/profiler/core/platform.h:35,
1566:28.01 from /build/iceweasel/src/mozilla-unified/tools/profiler/core/ProfileBuffer.h:9,
1566:28.02 from /build/iceweasel/src/mozilla-unified/tools/profiler/core/ProfileBuffer.cpp:7,
1566:28.02 from /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux—gnueabihf/tools

/profiler/Unified_cpp_tools_profilerO.cpp:2:

1566:28.02 /build/iceweasel/src/mozilla-unified/tools/profiler/gecko/nsProfiler.cpp:217:31: note: parameter pa
ssing for argument of type ‘JS::MutableHandleValue’ {aka ‘JS::MutableHandle<JS::Value>'} changed in GCC 7.1
1566:28.03 MOZ_ALWAYS_TRUE (JS_ParseJSON (aCx, profilel6, js_string.Length(), &val));

1566:28.03 /build/iceweasel/src/mozilla-unified/obj-armv7l-unknown-linux-gnueabihf/dist/include/mozilla/Assert
ions.h:632:13: note: in definition of macro ‘MOZ_ALWAYS_ TRUE’

1566:28.03 if ((expr)) { \

1566:28.04 N

1566:56.73 make[4]: *** [/build/iceweasel/src/mozilla-unified/config/rules.mk:1032: Unified_cpp_tools_profiler
0.0] Error 1

1566:56.74 make[3]: *** [/build/iceweasel/src/mozilla-unified/config/recurse.mk:73: tools/profiler/target] Err
or 2

1566:56.75 make[3]: *** Waiting for unfinished jobs....

1569:05.46 make[2]: *** [/build/iceweasel/src/mozilla-unified/config/recurse.mk:33: compile] Error 2
1569:05.48 make[1l]: *** [/build/iceweasel/src/mozilla-unified/config/rules.mk:418: default] Error 2

1569:05.51 make: *** [client.mk:172: build] Error 2

1569:06.05 353 compiler warnings present.

1569:39.99 Notification center failed: Install notify-send (usually part of the libnotify package) to get a no
tification when the build finishes.
==> ERROR: A failure occurred in build().
Aborting...

#8 - 2018-11-16 01:20 PM - freemor

- Status changed from in progress to open

#9 - 2018-11-29 01:46 AM - freemor

Trying this again... Starting cross compile

#10 - 2018-11-30 01:11 PM - freemor

Failed in the sam manner even with debug builds turned off.. Clearly for this package there is some other issue when trying to cross compile for ARM

#11 - 2018-11-30 01:12 PM - freemor
- % Done changed from 10 to 0

#12 - 2019-03-01 01:41 PM - bill-auger
- Assignee set to oaken-source

- Status changed from open to in progress
ist es fertig?

#13 - 2019-03-01 03:14 PM - oaken-source
- % Done changed from 0 to 100

- Status changed from in progress to fixed
ja, es ist fertig.

#14 - 2020-05-05 02:15 PM - bill-auger

- Subject changed from [libre/iceweasel] needs rebuild against [icu 63.1] for armv7h to [libre/iceweasel]: rebuild against newficu (armv7h)

#15 - 2020-05-05 02:16 PM - bill-auger

- Status changed from fixed to confirmed

#16 - 2020-05-05 02:17 PM - bill-auger

- Assignee deleted (oaken-source)

#17 - 2020-05-05 02:20 PM - bill-auger

- Subject changed from [libre/iceweasel]: rebuild against newficu (armv7h) to [libre/iceweasel]: rebuild against new icu (armv7h)

#18 - 2020-05-05 02:29 PM - bill-auger
- Status changed from confirmed to open

- Tracker changed from Bug to Housekeeping

#19 - 2020-05-13 01:40 PM - bill-auger

- Description updated

#20 - 2020-05-13 01:46 PM - bill-auger

- Description updated

#21 - 2023-09-01 03:48 AM - bill-auger
- Status changed from open to unconfirmed

- Tracker changed from Housekeeping to Bug

#22 - 2023-09-01 03:49 AM - bill-auger

- Status changed from unconfirmed to confirmed
